OpenVZ Forum


Home » General » Support » problems with centos template and yum (yum packages misreport space needed)
problems with centos template and yum [message #50812] Thu, 07 November 2013 23:25 Go to previous message
carlosmp is currently offline  carlosmp
Messages: 2
Registered: November 2013
Location: United States
Junior Member
I'm having a really hard time getting yum to work in a container. I'm creating a container with 512MB Ram/Swap and a 8GB HDD. This has normally worked in the past. I'm using the centos6_x86 template from the list of precreated templates.

I'm running a script that sets up a lamp system, and during the yum portions, the system does stuff like this: (17GBs for webmin?)

Dependencies Resolved

====================================================================================================================================
 Package                        Arch                           Version                         Repository                      Size
====================================================================================================================================
Installing:
 webmin                         noarch                         1.660-1                         Webmin                          21 M

Transaction Summary
====================================================================================================================================
Install       1 Package(s)

Total download size: 21 M
Installed size: 21 M
Is this ok [y/N]: y
Downloading Packages:
webmin-1.660-1.noarch.rpm                                                                                    |  21 MB     00:02     
Running rpm_check_debug
Running Transaction Test


Transaction Check Error:
  installing package webmin-1.660-1.noarch needs 17121MB on the / filesystem

Error Summary
-------------
Disk Requirements:
  At least 17121MB more space needed on the / filesystem.

[root@testlamp /]# df -i
Filesystem            Inodes   IUsed   IFree IUse% Mounted on
/dev/simfs           1600000   43698 1556302    3% /
none                   65536     151   65385    1% /dev
none                   65536       1   65535    1% /dev/shm
[root@testlamp /]# df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/simfs            8.0G  213M  7.8G   3% /
none                  256M  4.0K  256M   1% /dev
none                  256M     0  256M   0% /dev/shm


Earlier on another host I got the following:

========================================================
Install     125 Package(s)


Total size: 59 M
Installed size: 228 M
Downloading Packages:
Running rpm_check_debug
Running Transaction Test

Transaction Check Error:
  installing package gtk2-devel-2.18.9-12.el6.i686 needs 69MB on the / filesystem
  installing package libXft-devel-2.3.1-2.el6.i686 needs 75MB on the / filesystem
  installing package libXt-1.1.3-1.el6.i686 needs 81MB on the / filesystem
  installing package slang-devel-2.2.1-1.el6.i686 needs 90MB on the / filesystem
.
.
 installing package git-1.7.1-3.el6_4.1.i686 needs 7053MB on the / filesystem
  installing package gtk-doc-1.11-5.1.el6.noarch needs 7109MB on the / filesystem
  installing package libXext-devel-1.3.1-2.el6.i686 needs 7192MB on the / filesystem
  installing package mysql-connector-odbc-5.1.5r1144-7.el6.i686 needs 7200MB on the / filesystem


Error Summary-------------
Disk Requirements:
  At least 7200MB more space needed on the / filesystem.


pveversion -v from host:
pve-manager: 2.3-13 (pve-manager/2.3/7946f1f1)
running kernel: 2.6.32-19-pve
proxmox-ve-2.6.32: 2.3-96
pve-kernel-2.6.32-19-pve: 2.6.32-96
pve-kernel-2.6.32-18-pve: 2.6.32-88
lvm2: 2.02.95-1pve2
clvm: 2.02.95-1pve2
corosync-pve: 1.4.4-4
openais-pve: 1.1.4-2
libqb: 0.10.1-2
redhat-cluster-pve: 3.1.93-2
resource-agents-pve: 3.9.2-3
fence-agents-pve: 3.1.9-1
pve-cluster: 1.0-36
qemu-server: 2.3-20
pve-firmware: 1.0-21
libpve-common-perl: 1.0-49
libpve-access-control: 1.0-26
libpve-storage-perl: 2.3-7
vncterm: 1.0-4
vzctl: 4.0-1pve2
vzprocps: 2.0.11-2
vzquota: 3.1-1
pve-qemu-kvm: 1.4-10
ksm-control-daemon: 1.1-1


I don't know if something is wrong with the template. If I upgrade the drive to 32GB it works


Carlos
 
Read Message
Read Message
Read Message
Previous Topic: fast shared storage between containers
Next Topic: NUMAD daemon and OpenVZ
Goto Forum:
  


Current Time: Tue Jul 16 13:18:21 GMT 2024

Total time taken to generate the page: 0.02874 seconds